import Component from '../../component.js';
import CoUxLayoutNavBarElements from './ux-layout-nav-bar-elements.js';
import CoUxLayoutNavBarLeftActions from './ux-layout-nav-bar-left-actions.js';

export default class CoUxLayoutNavBar extends Component {
    constructor(parent) {
      let selector = 'ux-layout-nav-bar';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/layout/ux-layout-app-shell/components/ux-layout-nav-bar/ux-layout-nav-bar.component.ts?at=support/10.x
    }
   get navBar(){
    return this.currentPath + '//div[contains(@id, "nav-bar")]';
   }
   get leftActionContentCO(){
    return new CoUxLayoutNavBarLeftActions(this.navBar);
   }
   get elementsContentCO(){
    return new CoUxLayoutNavBarElements(this.navBar);
   }
}

